--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Sets connection's verbosity to <em>verbosity</em> and returns the previous setting. Available settings are:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: PQERRORS_TERSE
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: PQERRORS_DEFAULT
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: PQERRORS_VERBOSE
  type: :BULLET
full_name: PGconn#set_error_verbosity
is_singleton: false
name: set_error_verbosity
params: |
  conn.set_error_verbosity( verbosity ) -> Fixnum

visibility: public
